Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Connector Class Reference

SSLIOP-specific Connector bridge for pluggable protocols. More...

`#include <SSLIOP_Connector.h>`

Inheritance diagram for TAO_SSLIOP_Connector:

[legend]
Collaboration diagram for TAO_SSLIOP_Connector:

[legend]
List of all members.

## More TAO_Connector methods
Please check the documentation in Pluggable.h.
typedef TAO_Connect_Concurrency_Strategy< TAO_SSLIOP_Connection_Handler > | TAO_SSLIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_SSLIOP_Connection_Handler > | TAO_SSLIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR > | TAO_SSLIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR > | TAO_SSLIOP_BASE_CONNECTOR
virtual TAO_Profile * | make_profile (ACE_ENV_SINGLE_ARG_DECL)
TAO_Transport * | iiop_connect (TAO_SSLIOP_Endpoint *ssliop_endpoint, TAO::Profile_Transport_Resolver *r, ACE_Time_Value *timeout ACE_ENV_ARG_DECL)
| IIOP-specific connection establishment.
TAO_Transport * | ssliop_connect (TAO_SSLIOP_Endpoint *ssliop_endpoint, Security::QOP qop, const Security::EstablishTrust &trust, TAO::Profile_Transport_Resolver *r, TAO_Transport_Descriptor_Interface *desc, ACE_Time_Value *timeout ACE_ENV_ARG_DECL)
| SSLIOP-specific connection establishment.
TAO_SSLIOP_Credentials * | retrieve_credentials (TAO_Stub *stub, SSL *ssl ACE_ENV_ARG_DECL)
Security::QOP | qop_
TAO_SSLIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy.
TAO_SSLIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for IIOP.
TAO_SSLIOP_Connection_Handler_State | handler_state_
## Public Methods
| TAO_SSLIOP_Connector (Security::QOP qop)
| Constructor.
The TAO_Connector methods
Please check the documentation in Transport_Connector.h
virtual int | open (TAO_ORB_Core *orb_core)
virtual int | close (void)
virtual TAO_Transport * | connect (TAO::Profile_Transport_Resolver *r, TAO_Transport_Descriptor_Interface *desc, ACE_Time_Value *timeout ACE_ENV_ARG_DECL)
virtual TAO_Profile * | create_profile (TAO_InputCDR &cdr)

## Detailed Description

SSLIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registry.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> TAO_SSLIOP_Connector::TAO_SSLIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_SSLIOP_Connector::TAO_SSLIOP_Connector | ( | Security::QOP | qop | ) |

| Constructor.

## Member Function Documentation

int TAO_SSLIOP_Connector::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_IIOP_SSL_Connector.

TAO_Transport * TAO_SSLIOP_Connector::connect | ( | TAO::Profile_Transport_Resolver * | r,
|  | TAO_Transport_Descriptor_Interface * | desc,
|  | ACE_Time_Value *timeout | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_SSLIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Reimplemented from TAO_IIOP_Connector.

TAO_Transport * TAO_SSLIOP_Connector::iiop_connect | ( | TAO_SSLIOP_Endpoint * | ssliop_endpoint,
|  | TAO::Profile_Transport_Resolver * | r,
|  | ACE_Time_Value *timeout | ACE_ENV_ARG_DECL
| ) | `[protected]`

| IIOP-specific connection establishment. Note: The IIOP endpoint is extracted from the SSLIOP endpoint.

TAO_Profile * TAO_SSLIOP_Connector::make_profile | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Reimplemented from TAO_IIOP_Connector.

int TAO_SSLIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Reimplemented from TAO_IIOP_SSL_Connector.

TAO_SSLIOP_Credentials * TAO_SSLIOP_Connector::retrieve_credentials | ( | TAO_Stub * | stub,
|  | SSL *ssl | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Retrieve SSLIOP credentials from the policy overrides list and set up the underlying SSL connection to use the X.509 certificates stored within them.

TAO_Transport* TAO_SSLIOP_Connector::ssliop_connect | ( | TAO_SSLIOP_Endpoint * | ssliop_endpoint,
|  | Security::QOP | qop,
|  | const Security::EstablishTrust & | trust,
|  | TAO::Profile_Transport_Resolver * | r,
|  | TAO_Transport_Descriptor_Interface * | desc,
|  | ACE_Time_Value *timeout | ACE_ENV_ARG_DECL
| ) | `[protected]`

| SSLIOP-specific connection establishment.

## Member Data Documentation

TAO_SSLIOP_BASE_CONNECTOR TAO_SSLIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for IIOP. Reimplemented from TAO_IIOP_SSL_Connector.

TAO_SSLIOP_CONNECT_STRATEGY TAO_SSLIOP_Connector::connect_strategy_`[private]`

| Our connect strategy. Reimplemented from TAO_IIOP_SSL_Connector.

TAO_SSLIOP_Connection_Handler_State TAO_SSLIOP_Connector::handler_state_`[private]`

| State that will be passed to each SSLIOP connection handler upon creation. Reimplemented from TAO_IIOP_SSL_Connector.

Security::QOP TAO_SSLIOP_Connector::qop_`[private]`

| If zero, connect to IIOP over SSL port by default. Otherwise, connect to the insecure IIOP port.

The documentation for this class was generated from the following files:

- SSLIOP_Connector.h
- SSLIOP_Connector.cpp